#!/bin/bash
#-----------------------------------------------------------------------
#
#                        SYRTHES version 4.X
#                        -------------------
#
#     This file is part of the SYRTHES Kernel, element of the
#     thermal code SYRTHES.
#
#     Copyright (C) 2009 EDF S.A., France
#
#     contact: syrthes-support@edf.fr
#
#
#     The SYRTHES Kernel is free software; you can redistribute it
#     and/or modify it under the terms of the GNU General Public License
#     as published by the Free Software Foundation; either version 2 of
#     the License, or (at your option) any later version.
#
#     The SYRTHES Kernel is distributed in the hope that it will be
#     useful, but WITHOUT ANY WARRANTY; without even the implied warranty
#     of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#
#     You should have received a copy of the GNU General Public License
#     along with the Code_Saturne Kernel; if not, write to the
#     Free Software Foundation, Inc.,
#     51 Franklin St, Fifth Floor,
#     Boston, MA  02110-1301  USA
#
#
#-----------------------------------------------------------------------

# Architecture name and location of the directory for installation
# ================================================================

SYRTHES4_HOME=/usr/lib/syrthes
NOM_ARCH=Debian
      
#-----------------------------------------------------------
# LD_LIBRARY_PATH 
#-----------------------------------------------------------
#med
LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH
#hdf5
LD_LIBRARY_PATH=/usr/lib/mips64el-linux-gnuabi64/hdf5/openmpi/lib:$LD_LIBRARY_PATH
#metis
LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH
#mpi
LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH
#ple
LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH
#scotch
LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

#-----------------------------------------------------------
# MPI Path 
#-----------------------------------------------------------
SYRTHES4_MPIPATH=/usr
#-----------------------------------------------------------
# Path 
#-----------------------------------------------------------
PATH=${SYRTHES4_HOME}/bin:$PATH
# For MPI in /usr # IF You use your bin or your local/bin exec
#PATH=/usr/bin:$PATH 

#-----------------------------------------------------------
# Export variables
#-----------------------------------------------------------
export NOM_ARCH SYRTHES4_HOME LD_LIBRARY_PATH PATH SYRTHES4_MPIPATH

#-----------------------------------------------------------
# Display 
#-----------------------------------------------------------
echo " "

echo "SYRTHES4_HOME=" ${SYRTHES4_HOME}
echo "NOM_ARCH=     " ${NOM_ARCH}
echo "PATH=         " ${PATH}
echo "LD_LIBRARY_PATH="${LD_LIBRARY_PATH}          
echo " " 
